# Uses of Interface
org.springframework.cache.Cache.ValueWrapper

Packages that use Cache.ValueWrapper
Package
Description
org.springframework.cache
Spring's generic cache abstraction.
org.springframework.cache.concurrent
Implementation package for `java.util.concurrent` based caches.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.
org.springframework.cache.support
Support classes for the org.springframework.cache package.

## Uses of Cache.ValueWrapper in org.springframework.cache

Methods in org.springframework.cache that return Cache.ValueWrapper
Modifier and Type
Method
Description
`Cache.ValueWrapper`
Cache.`get(Object key)`
Return the value to which this cache maps the specified key.
`default Cache.ValueWrapper`
Cache.`putIfAbsent(Object key, Object value)`
Atomically associate the specified value with the specified key in this cache if it is not set already.

## Uses of Cache.ValueWrapper in org.springframework.cache.concurrent

Methods in org.springframework.cache.concurrent that return Cache.ValueWrapper
Modifier and Type
Method
Description
`Cache.ValueWrapper`
ConcurrentMapCache.`putIfAbsent(Object key, Object value)`

## Uses of Cache.ValueWrapper in org.springframework.cache.interceptor

Methods in org.springframework.cache.interceptor that return Cache.ValueWrapper
Modifier and Type
Method
Description
`protected Cache.ValueWrapper`
AbstractCacheInvoker.`doGet(Cache cache, Object key)`
Execute `Cache.get(Object)` on the specified `Cache` and invoke the error handler if an exception occurs.

## Uses of Cache.ValueWrapper in org.springframework.cache.support

Classes in org.springframework.cache.support that implement Cache.ValueWrapper
Modifier and Type
Class
Description
`class`
`SimpleValueWrapper`
Straightforward implementation of `Cache.ValueWrapper`, simply holding the value as given at construction and returning it from `SimpleValueWrapper.get()`.
Methods in org.springframework.cache.support that return Cache.ValueWrapper
Modifier and Type
Method
Description
`Cache.ValueWrapper`
AbstractValueAdaptingCache.`get(Object key)`
`Cache.ValueWrapper`
NoOpCache.`get(Object key)`
`Cache.ValueWrapper`
NoOpCache.`putIfAbsent(Object key, Object value)`
`protected Cache.ValueWrapper`
AbstractValueAdaptingCache.`toValueWrapper(Object storeValue)`
Wrap the given store value with a `SimpleValueWrapper`, also going through `AbstractValueAdaptingCache.fromStoreValue(java.lang.Object)` conversion.